[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.AddHandlerFirstShow

Adds a handler routine called the first time the form is shown.

## Declaration

Source position: forms.pp line 744

`public procedure TCustomForm.AddHandlerFirstShow(`
`OnFirstShowHandler: TNotifyEvent;`
`AsFirst: Boolean = False`
`);`

## Arguments

`OnFirstShowHandler` |  | Handler routine added to the list of fhtFirstShow handlers in the class instance.
`AsFirst` |  | True if the handler is inserted as the first routine in the list of handlers. False if it is appended to the end of the list.

## See also

TFormHandlerType |  | TForm Notification handler types.